| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
NTuple::File Class Reference

Small class representing an N tuple file in the transient store. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::File:
[legend]
Collaboration diagram for NTuple::File:
[legend]

## Public Member Functions
| File ()=default
| File (long type, std::string name, std::string logName)
| Standard constructor. More...
| ~File () override=default
| Standard destructor. More...
const CLID & | clID () const override
| class ID of the object More...
void | setType (const long typ)
| Set access type. More...
long | type () const
| Return access type. More...
const std::string & | name () const
| Retrun physical file name. More...
void | setName (std::string nam)
| Set access type. More...
const std::string & | logicalName () const
void | setLogicalName (std::string l)
void | setOpen (bool flag)
| Set "open" flag. More...
bool | isOpen () const
| Access "open" flag. More...
Public Member Functions inherited from NTuple::Directory
| Directory ()
| Standard constructor. More...
| ~Directory () override=default
| Standard destructor. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
| class ID of the object More...
Static Public Member Functions inherited from NTuple::Directory
static const CLID & | classID ()
| class ID of the object More...
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Protected Attributes
std::string | m_name
| Physical file name. More...
std::string | m_logName
| Logical file name. More...
long | m_type = 0
| Access type. More...
bool | m_isOpen = false
| Flag to indicate wether the file was opened already. More...

## Detailed Description

Small class representing an N tuple file in the transient store.

Definition at line 1088 of file NTuple.h.

## Constructor & Destructor Documentation

NTuple::File::File | ( |  | ) |
| default

NTuple::File::File | ( | long | type,
|  | std::string | name,
|  | std::string | logName
| ) |  |
| inline

Standard constructor.

Definition at line 1101 of file NTuple.h.

1102 : m_name(std::move(name)), m_logName(std::move(logName)), m_type(type) {
1103 }
NTuple::File::m_logName
std::string m_logName
Logical file name.
Definition: NTuple.h:1093
NTuple::File::m_type
long m_type
Access type.
Definition: NTuple.h:1095
NTuple::File::type
long type() const
Return access type.
Definition: NTuple.h:1120
NTuple::File::m_name
std::string m_name
Physical file name.
Definition: NTuple.h:1091
std::move
T move(T...args)

NTuple::File::~File | ( |  | ) |
| override default

Standard destructor.

## Member Function Documentation

static const CLID& NTuple::File::classID | ( |  | ) |
| inline static

class ID of the object

Definition at line 1108 of file NTuple.h.

1108 {
1109 return CLID_NTupleFile;
1110 }

const CLID& NTuple::File::clID | ( |  | ) | const
| inline override virtual

class ID of the object

Reimplemented from NTuple::Directory.

Definition at line 1112 of file NTuple.h.

1112 {
1113 return classID();
1114 }
NTuple::File::classID
static const CLID & classID()
class ID of the object
Definition: NTuple.h:1108

bool NTuple::File::isOpen | ( |  | ) | const
| inline

Access "open" flag.

Definition at line 1144 of file NTuple.h.

1144 {
1145 return m_isOpen;
1146 }
NTuple::File::m_isOpen
bool m_isOpen
Flag to indicate wether the file was opened already.
Definition: NTuple.h:1097

const std::string& NTuple::File::logicalName | ( |  | ) | const
| inline

Definition at line 1132 of file NTuple.h.

1132 {
1133 return m_logName;
1134 }
NTuple::File::m_logName
std::string m_logName
Logical file name.
Definition: NTuple.h:1093

const std::string& NTuple::File::name | ( |  | ) | const
| inline

Retrun physical file name.

Definition at line 1124 of file NTuple.h.

1124 {
1125 return m_name;
1126 }
NTuple::File::m_name
std::string m_name
Physical file name.
Definition: NTuple.h:1091

void NTuple::File::setLogicalName | ( | std::string | l | ) |
| inline

Definition at line 1136 of file NTuple.h.

1136 {
1137 m_logName = std::move(l);
1138 }
NTuple::File::m_logName
std::string m_logName
Logical file name.
Definition: NTuple.h:1093
std::move
T move(T...args)

void NTuple::File::setName | ( | std::string | nam | ) |
| inline

Set access type.

Definition at line 1128 of file NTuple.h.

1128 {
1129 m_name = std::move(nam);
1130 }
NTuple::File::m_name
std::string m_name
Physical file name.
Definition: NTuple.h:1091
std::move
T move(T...args)

void NTuple::File::setOpen | ( | bool | flag | ) |
| inline

Set "open" flag.

Definition at line 1140 of file NTuple.h.

1140 {
1141 m_isOpen = flag;
1142 }
NTuple::File::m_isOpen
bool m_isOpen
Flag to indicate wether the file was opened already.
Definition: NTuple.h:1097

void NTuple::File::setType | ( | const long | typ | ) |
| inline

Set access type.

Definition at line 1116 of file NTuple.h.

1116 {
1117 m_type = typ;
1118 }
NTuple::File::m_type
long m_type
Access type.
Definition: NTuple.h:1095

long NTuple::File::type | ( |  | ) | const
| inline

Return access type.

Definition at line 1120 of file NTuple.h.

1120 {
1121 return m_type;
1122 }
NTuple::File::m_type
long m_type
Access type.
Definition: NTuple.h:1095

## Member Data Documentation

bool NTuple::File::m_isOpen = false
| protected

Flag to indicate wether the file was opened already.

Definition at line 1097 of file NTuple.h.

std::string NTuple::File::m_logName
| protected

Logical file name.

Definition at line 1093 of file NTuple.h.

std::string NTuple::File::m_name
| protected

Physical file name.

Definition at line 1091 of file NTuple.h.

long NTuple::File::m_type = 0
| protected

Access type.

Definition at line 1095 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h